petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDASetStencilType

Sets the type of the communication stencil

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetStencilType(DM da, DMDAStencilType stype)

Logically Collective on DMDA

### Input Parameter

| da | - The DMDA
| stype | - The stencil type, use either DMDA_STENCIL_BOX or DMDA_STENCIL_STAR.

### Keywords

distributed array, stencil

### See Also

DMDACreate(), DMDestroy(), DMDA

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages